Page MenuHomePhabricator

TemplateData GUI does not add type
Closed, ResolvedPublic

Description

Even when type is specified in the TemplateData GUI it is still not added to the actual TemplateData

To reproduce:

  1. Go to any template, edit and click "manage TemplateData"
  2. Add a parameter
  3. Edit the parameter and set type to anything except undefined
  4. Click back
  5. Click Apply
  6. Examine the resulting TemplateData

Event Timeline

Lokal_Profil raised the priority of this task from to Needs Triage.
Lokal_Profil updated the task description. (Show Details)
Lokal_Profil added a project: TemplateData.
Lokal_Profil added a subscriber: Lokal_Profil.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 15 2015, 2:47 PM
Jdforrester-WMF triaged this task as Unbreak Now! priority.
Jdforrester-WMF set Security to None.
gerritbot added a subscriber: gerritbot.

Change 185693 had a related patch set uploaded (by Jforrester):
Adapt the type input to work with the new ooui getMenu()

https://gerrit.wikimedia.org/r/185693

Patch-For-Review

Change 185693 merged by jenkins-bot:
Adapt the type input to work with the new ooui getMenu()

https://gerrit.wikimedia.org/r/185693

Change 185998 had a related patch set uploaded (by Jforrester):
Adapt the type input to work with the new ooui getMenu()

https://gerrit.wikimedia.org/r/185998

Patch-For-Review

Change 185999 had a related patch set uploaded (by Jforrester):
Adapt the type input to work with the new ooui getMenu()

https://gerrit.wikimedia.org/r/185999

Patch-For-Review

Jdforrester-WMF moved this task from Backlog to Doing on the TemplateData board.Jan 20 2015, 5:56 PM

Change 185998 merged by jenkins-bot:
Adapt the type input to work with the new ooui getMenu()

https://gerrit.wikimedia.org/r/185998

Change 185999 merged by jenkins-bot:
Adapt the type input to work with the new ooui getMenu()

https://gerrit.wikimedia.org/r/185999

Krenair closed this task as Resolved.Jan 21 2015, 4:36 AM
Krenair added a subscriber: Krenair.

This was merged to master, deployed, etc.